Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ConnectionOperations

    java.lang.Object
      com.sun.messaging.jms.management.server.ConnectionOperations

    public class ConnectionOperations

extends java.lang.Object

Class containing information on connection attributes.

Field Summary
`static java.lang.String` | `DESTROY` Destroy a connection.
`static java.lang.String` | `GET_CONNECTIONS` Get list of connection MBean object names
`static java.lang.String` | `GET_CONSUMER_IDS` Get list of consumer IDs
`static java.lang.String` | `GET_PRODUCER_IDS` Get list of producer IDs
`static java.lang.String` | `GET_SERVICE` Get object names of service MBean
`static java.lang.String` | `GET_TEMP_DESTINATIONS` Get object names of temporary destination MBeans

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESTROY

    public static final java.lang.String DESTROY

  Destroy a connection.

  See Also:
    Constant Field Values

### GET_CONNECTIONS

    public static final java.lang.String GET_CONNECTIONS

  Get list of connection MBean object names

  See Also:
    Constant Field Values

### GET_CONSUMER_IDS

    public static final java.lang.String GET_CONSUMER_IDS

  Get list of consumer IDs

  See Also:
    Constant Field Values

### GET_PRODUCER_IDS

    public static final java.lang.String GET_PRODUCER_IDS

  Get list of producer IDs

  See Also:
    Constant Field Values

### GET_SERVICE

    public static final java.lang.String GET_SERVICE

  Get object names of service MBean

  See Also:
    Constant Field Values

### GET_TEMP_DESTINATIONS

    public static final java.lang.String GET_TEMP_DESTINATIONS

  Get object names of temporary destination MBeans

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.